Package org.oasis_open.docs.ws_calendar.ns.soap

# Class PropertyReferenceType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.PropertyReferenceType

public class PropertyReferenceType extends Object
Used to contain a new value for change, a new property for add or identify the property for remove.

Java class for PropertyReferenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PropertyReferenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseProperty"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected javax.xml.bind.JAXBElement<? extends BasePropertyType>`
  `baseProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyReferenceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.xml.bind.JAXBElement<? extends BasePropertyType>`
  `getBaseProperty()`
  Gets the value of the baseProperty property.
  `void`
  `setBaseProperty(javax.xml.bind.JAXBElement<? extends BasePropertyType> value)`
  Sets the value of the baseProperty property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### baseProperty

    protected javax.xml.bind.JAXBElement<? extends BasePropertyType> baseProperty

- ## Constructor Details

  - ### PropertyReferenceType

    public PropertyReferenceType()

- ## Method Details

  - ### getBaseProperty

    public javax.xml.bind.JAXBElement<? extends BasePropertyType> getBaseProperty()
    Gets the value of the baseProperty property.
    Returns:
      possible object is `JAXBElement``<``AcceptResponsePropType``>` `JAXBElement``<``ActionPropType``>` `JAXBElement``<``AttachPropType``>` `JAXBElement``<``AttendeePropType``>` `JAXBElement``<``BasePropertyType``>` `JAXBElement``<``CalscalePropType``>` `JAXBElement``<``CategoriesPropType``>` `JAXBElement``<``ClassPropType``>` `JAXBElement``<``CommentPropType``>` `JAXBElement``<``CompletedPropType``>` `JAXBElement``<``ContactPropType``>` `JAXBElement``<``CreatedPropType``>` `JAXBElement``<``DescriptionPropType``>` `JAXBElement``<``DtendPropType``>` `JAXBElement``<``DtstampPropType``>` `JAXBElement``<``DtstartPropType``>` `JAXBElement``<``DuePropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``ExdatePropType``>` `JAXBElement``<``ExrulePropType``>` `JAXBElement``<``FreebusyPropType``>` `JAXBElement``<``GeoPropType``>` `JAXBElement``<``LastModifiedPropType``>` `JAXBElement``<``LinkPropType``>` `JAXBElement``<``LocationPropType``>` `JAXBElement``<``MethodPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``PercentCompletePropType``>` `JAXBElement``<``PollItemIdPropType``>` `JAXBElement``<``PollModePropType``>` `JAXBElement``<``PollPropertiesPropType``>` `JAXBElement``<``PriorityPropType``>` `JAXBElement``<``ProdidPropType``>` `JAXBElement``<``RdatePropType``>` `JAXBElement``<``RecurrenceIdPropType``>` `JAXBElement``<``RelatedToPropType``>` `JAXBElement``<``RepeatPropType``>` `JAXBElement``<``RequestStatusPropType``>` `JAXBElement``<``ResourcesPropType``>` `JAXBElement``<``RrulePropType``>` `JAXBElement``<``SequencePropType``>` `JAXBElement``<``StatusPropType``>` `JAXBElement``<``SummaryPropType``>` `JAXBElement``<``TolerancePropType``>` `JAXBElement``<``TranspPropType``>` `JAXBElement``<``TriggerPropType``>` `JAXBElement``<``TzidPropType``>` `JAXBElement``<``TznamePropType``>` `JAXBElement``<``TzoffsetfromPropType``>` `JAXBElement``<``TzoffsettoPropType``>` `JAXBElement``<``TzurlPropType``>` `JAXBElement``<``UidPropType``>` `JAXBElement``<``UrlPropType``>` `JAXBElement``<``VersionPropType``>` `JAXBElement``<``VoterPropType``>` `JAXBElement``<``WsCalendarAttachType``>` `JAXBElement``<``WsCalendarTypeType``>` `JAXBElement``<``XBedeworkCostPropType``>` `JAXBElement``<``XBedeworkExsynchEndtzidPropType``>` `JAXBElement``<``XBedeworkExsynchLastmodPropType``>` `JAXBElement``<``XBedeworkExsynchStarttzidPropType``>` `JAXBElement``<``XBedeworkInstanceOnlyPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPerUserPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPropType``>` `JAXBElement``<``XBedeworkRegistrationEndPropType``>` `JAXBElement``<``XBedeworkRegistrationStartPropType``>` `JAXBElement``<``XBedeworkWaitListLimitPropType``>` `JAXBElement``<``XBedeworkWrapperPropType``>` `JAXBElement``<``XBwCategoriesPropType``>` `JAXBElement``<``XBwContactPropType``>` `JAXBElement``<``XBwLocationPropType``>` `JAXBElement``<``XMicrosoftCdoBusystatusPropType``>` `JAXBElement``<``XMicrosoftCdoIntendedstatusPropType``>`

  - ### setBaseProperty

    public void setBaseProperty(javax.xml.bind.JAXBElement<? extends BasePropertyType> value)
    Sets the value of the baseProperty property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``AcceptResponsePropType``>` `JAXBElement``<``ActionPropType``>` `JAXBElement``<``AttachPropType``>` `JAXBElement``<``AttendeePropType``>` `JAXBElement``<``BasePropertyType``>` `JAXBElement``<``CalscalePropType``>` `JAXBElement``<``CategoriesPropType``>` `JAXBElement``<``ClassPropType``>` `JAXBElement``<``CommentPropType``>` `JAXBElement``<``CompletedPropType``>` `JAXBElement``<``ContactPropType``>` `JAXBElement``<``CreatedPropType``>` `JAXBElement``<``DescriptionPropType``>` `JAXBElement``<``DtendPropType``>` `JAXBElement``<``DtstampPropType``>` `JAXBElement``<``DtstartPropType``>` `JAXBElement``<``DuePropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``ExdatePropType``>` `JAXBElement``<``ExrulePropType``>` `JAXBElement``<``FreebusyPropType``>` `JAXBElement``<``GeoPropType``>` `JAXBElement``<``LastModifiedPropType``>` `JAXBElement``<``LinkPropType``>` `JAXBElement``<``LocationPropType``>` `JAXBElement``<``MethodPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``PercentCompletePropType``>` `JAXBElement``<``PollItemIdPropType``>` `JAXBElement``<``PollModePropType``>` `JAXBElement``<``PollPropertiesPropType``>` `JAXBElement``<``PriorityPropType``>` `JAXBElement``<``ProdidPropType``>` `JAXBElement``<``RdatePropType``>` `JAXBElement``<``RecurrenceIdPropType``>` `JAXBElement``<``RelatedToPropType``>` `JAXBElement``<``RepeatPropType``>` `JAXBElement``<``RequestStatusPropType``>` `JAXBElement``<``ResourcesPropType``>` `JAXBElement``<``RrulePropType``>` `JAXBElement``<``SequencePropType``>` `JAXBElement``<``StatusPropType``>` `JAXBElement``<``SummaryPropType``>` `JAXBElement``<``TolerancePropType``>` `JAXBElement``<``TranspPropType``>` `JAXBElement``<``TriggerPropType``>` `JAXBElement``<``TzidPropType``>` `JAXBElement``<``TznamePropType``>` `JAXBElement``<``TzoffsetfromPropType``>` `JAXBElement``<``TzoffsettoPropType``>` `JAXBElement``<``TzurlPropType``>` `JAXBElement``<``UidPropType``>` `JAXBElement``<``UrlPropType``>` `JAXBElement``<``VersionPropType``>` `JAXBElement``<``VoterPropType``>` `JAXBElement``<``WsCalendarAttachType``>` `JAXBElement``<``WsCalendarTypeType``>` `JAXBElement``<``XBedeworkCostPropType``>` `JAXBElement``<``XBedeworkExsynchEndtzidPropType``>` `JAXBElement``<``XBedeworkExsynchLastmodPropType``>` `JAXBElement``<``XBedeworkExsynchStarttzidPropType``>` `JAXBElement``<``XBedeworkInstanceOnlyPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPerUserPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPropType``>` `JAXBElement``<``XBedeworkRegistrationEndPropType``>` `JAXBElement``<``XBedeworkRegistrationStartPropType``>` `JAXBElement``<``XBedeworkWaitListLimitPropType``>` `JAXBElement``<``XBedeworkWrapperPropType``>` `JAXBElement``<``XBwCategoriesPropType``>` `JAXBElement``<``XBwContactPropType``>` `JAXBElement``<``XBwLocationPropType``>` `JAXBElement``<``XMicrosoftCdoBusystatusPropType``>` `JAXBElement``<``XMicrosoftCdoIntendedstatusPropType``>`